What is File Watcher?

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher watches a folder or set of folders for new or updated files. When it finds one, it passes the filename to a script that you designate - to perform whatever action you desire.

File Watcher allows all user settings to be saved and opened so that the same tasks can be repeated in the future without re-keying.

See also

Features
 New features in this release

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2023 DataMystic. All rights reserved.


Features

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher watches a folder or set of folders for new or updated files. When it finds one, it passes the filename to a script that you designate - to perform whatever action you desire.

Benefits

File Watcher continuously monitors a set of folders for any new files. When new files arrive, File Watcher then triggers a custom action, such as running a program with the new files. This can be used to:

  • Process incoming FTP files

  • Automatically distil PDF files

  • Process email attachments when they are saved to disk

  • Load new files into a database

  • Quickly and easily trigger business processes when files are created

  • and much more.

Features

� Optionally include subfolders

� Minimal system overhead when watching

� Waits for the file to be fully written before processing it.- perfect for large files

� If a file is created and subsequently renamed, File Watcher detects this and updates its list of files to process accordingly

� The log discards the oldest entries when it reaches 1000 lines.

� Supports Drag and Drop of folders into File Watcher.

� Can be run as a service

See also

What is File Watcher?
 New features in this release


What's New in FileWatcher v4.6  - August 14, 2024
================================================

* Minor bug fixes and security patches.

What's New in FileWatcher v4.5 - 2 - June 26, 2023
=================================================

* Update log messages to align with UI.
* Fixed file conflict with multiple copies of File Watcher.

What's New in FileWatcher v4.3  - July 29, 2021
==============================================

* Fixed periodic reprompting for license key information.

What's New in FileWatcher v4.2  - July 1, 2021
=============================================

* Fixed bug with arriving file names not being sequenced correctly.

What's New in FileWatcher v4.1  - May 19, 2021
=============================================

* Now works with ftps:// ie secure ftp
* Fixed long paths being word-wrapped and not handled correctly.
* Now prunes the log when it gets too long.
* Now can run as a system service, surviving system restarts. FireDaemon is no
longer needed.
* New ribbon UI.

What's New in FileWatcher v4.0  - March 30, 2015
===============================================

* Warning - renamed %PATH% to %FILEPATH% to avoid conflicts with the windows
PATH. Existing settings will be loaded correctly.
* Command and parameter fields can now include arbitrary environment variables,
e.g. USERNAME, ProgramData, PUBLIC, TEMP, COMPUTERNAME etc.

What's New in FileWatcher v3.9  - December 11, 2013
==================================================

* Now can customize the polling interval - previously was fixed at 60 seconds.

What's New in FileWatcher v3.8  - September 4, 2013
==================================================

* Now sets environment variables FILE, FILENAME, NAME, EXT, PATH so that batch
files can examine and use these values.

What's New in FileWatcher v3.7  - May 7, 2013
============================================

* Added new option to control the period of time between checks for exclusive
access to a monitored file.

What's New in FileWatcher v3.6.1  - May 1, 2013
==============================================

* Fixed integer overflow errors under x64.

What's New in FileWatcher v3.6  - April 17, 2013
===============================================

* Dual x32 and x64 release.
* Fixed bug where Browse for Folder did not handle Unicode characters.

What's New in FileWatcher v3.5.1  - September 6, 2012
====================================================

* Fixed bug in file processing that could make File Watcher hang.

What's New in FileWatcher v3.5  - July 14, 2012
==============================================

* Tray icon now includes filename so multiple instances of File Watcher are
easy to identify.
* Better validation error messages for missing 'No Files Command'.
* FTP poller now supports subfolders.

What's New in FileWatcher v3.4  - June 8, 2012
=============================================

* Log file now copes with Unicode filenames.
* List file now copes with Unicode filenames.
* If remote folders drop out, File Watcher now delays any actions on deleted
items and on newly create files when the folder re-appears.
* .vbs and .js scripts are now automatically run with wscript.exe, in the
current folder or the Windows Path.

What's New in FileWatcher v3.3.3  - December 6, 2011
===================================================

* Changed FTP to use PASSIVE mode semantics by default.

What's New in FileWatcher v3.3.2  - December 5, 2011
===================================================

* Fixed handling of initial files for FTP and Network Polling sites - use
sample settings 'ftp test - display existing files.fwx' to check which files
File Watcher can see.

What's New in FileWatcher v3.3.1  - December 2, 2011
===================================================

* Server detection now excludes Windows Home Server.
* Fixed 'error cracking url' with FTP locations.
* Fixed wildcard processing with FTP locations - previously only *.* worked.

What's New in FileWatcher v3.3  - November 11, 2011
==================================================

* Action, Network/Polling and Live Log now support Unicode filenames.
* Fixed bug when multiple filespecs (e.g. *.txt;*.doc) were used with the
Network/Polling option - any existing files would be processed correctly, but
any further files would not be processed at all.
* Removed automatic fixup of "%FILE%" - this is no longer needed or desirable.
* Better cleanup on exit when Actions are still running.
* Fixed help file not starting.
* Fixed email support option in evaluation not working.

What's New in FileWatcher v3.2.2  - November 9, 2011
===================================================

* Fixed bug which left the NoFiles process running if it could not be started
properly (e.g. wrong command line etc), and hence no new processes could be
triggered.

What's New in FileWatcher v3.2.1  - November 8, 2011
===================================================

* Fixed bug - NoFiles timer was enabling itself even when disabled.
* NoFiles command is now validated to ensure it exists.

What's New in FileWatcher v3.2  - November 3, 2011
=================================================

* Double-quotes around parameters are now not entered automatically - giving
the user more control over the command line. Older settings files are
automatically converted when loaded.
* New %EXT% macro to insert the file extension.
* Changed %NAME% to %FILENAME%, added %NAME% for just the name (no extension).

What's New in FileWatcher v3.1  - October 26, 2011
=================================================

* [Test] button now validates settings like the command to be run. [Test]
button also switches to the Live Log tab so that you can see the results of
the test.

What's New in FileWatcher v3.0  - October 18, 2011
=================================================

* New [Test] button to test your action script.
* New ability to run a command if no files arrives in a given timeframe (e.g.
no file after 60 minutes, 12 hours etc), so you can check for errors in your
process.
* %FILE% can now be included in the Command name, so if the new file arriving
is an executable file you can run it.
* New HTML Help file - searchable, more info.

What's New in FileWatcher v2.9.3 -  - July 2011
==============================================

* Fixed working dirs for start menu short cuts.
* Fixed detection of change on 2 checkboxes.
* Sample .fwx copied on first run.

What's New in FileWatcher v2.9.2  - November 3, 2010
===================================================

* Fixed bug with polling routines not passing Unicode filenames correctly,
hence they never matched the wildcards.

What's New in FileWatcher v2.9.1  - October 15, 2010
===================================================

* %PATH% now can be used to specify the path of the triggering file.
* More internal changes to support Unicode filenames.
* Fixed bug with wildcards not matching unless set to *.*.

What's New in FileWatcher v2.9  - October 14, 2010
=================================================

* Now shows error dialog if the default save location (in My Documents) cannot
be written to, and exits gracefully.
* Standardized open/save dialogs now used throughout.
* Better error messages when data such as the Command to Run is missing.
* Log file is now closed and re-opened every 30 seconds so that the file size
increases over time. If you open the file it will still show the currently
written data.
* 'Wait for Exclusive file access' is now ignored for new folders when 'Ignore
folders' is unchecked - this prevents File Watcher checking them forever.
* New 'Notes' field for recording information about the settings.

What's New in FileWatcher v2.8.1  - May 18, 2010
===============================================

* Polling of FTP locations now supported.

What's New in FileWatcher v2.8  - March 26, 2010
===============================================

* Now can poll remote locations if file events do not occur (this happens when
the remote system does not implement the file event API correctly).

What's New in FileWatcher v2.7  - March 12, 2010
===============================================

* Now handles log files that don't have a full path specified.
* Now the complete command line of each invoked command is added to the log to
assist debugging.
* Fixed double-click of settings file under Vista, W7.

What's New in FileWatcher v2.6.6  - September 23, 2009
=====================================================

* New option to automatically process existing files when FileWatcher starts
watching. This is very handy to pickup files that might have arrived while
FileWatcher was not active.
* Now logs more useful error messages when a command line fails.
* New validation check that the command file exists, and now displays invalid
command line options.

What's New in FileWatcher v2.6.5  - September 18, 2009
=====================================================

* New %NAME% option to insert the filename without the path.
* New option to log to file.
* New option to ignore folder changes.

What's New in FileWatcher v2.6.4  - September 17, 2009
=====================================================

* Changed %FILE%, %FILES% and %FILELIST% to use a list of options instead, with
a single consistent %FILE% in the command line, as this is easier to
understand.

What's New in FileWatcher v2.6.3  - September 16, 2009
=====================================================

* Now automatically double-quotes %FILE% and %FILELIST% for you (%FILES% was
already double-quoted). Historically these were not double-quoted - giving
the user the freedom to append to the filenames within their batch file,
however this has caused more confusion than it was worth!

What's New in FileWatcher v2.6.2  - August 14, 2009
==================================================

* New option to Minimize the action being run - to prevent it interfering with
the desktop.

What's New in FileWatcher v2.6.1  - August 13, 2009
==================================================

* Now can cope with (fairly rare) filenames with leading spaces.

What's New in FileWatcher v2.6  - April 22, 2009
===============================================

* If you are monitoring a network location, File Watcher checks to see if it
has dropped out and automatically reconnects (it checks every 60 seconds).

What's New in FileWatcher v2.5.9  - March 27, 2009
=================================================

* Now can insert %FILE%, %FILES% or %FILELIST% multiple times in the command
line to cope with situations where the filename needs a new extension
appended e.g. ".pdf"
* Now records the exit code of each process.
* When multi-file mode (%FILES% or %FILELIST%) is used, FileWatcher now
processes all files together once the minimum time threshold has been passed.
Previously these files would be processe - separately.
* Files are now processed in order of arrival.

What's New in FileWatcher v2.5.8  - November 28, 2008
====================================================

* Now copes with the (rather rude) situation of the monitoring folder being
deleted.

What's New in FileWatcher v2.5.7  - May 23, 2008
===============================================

* Directory names have been re-enabled. This will be an option in a later
release.
* Fixed bug with program crashing after trigger.

What's New in FileWatcher v2.5.6  - May 22, 2008
===============================================

* Now excludes the list file from files that are being monitored.
* Now adds a timestamp to each log line.
* More logging information.

What's New in FileWatcher v2.5.5  - May 14, 2008
===============================================

* Now tests the exclusive lock with a Read test, not a Read/Write test.

What's New in FileWatcher v2.5.4  - May 7, 2008
==============================================

* New option to wait for exclusive file lock before processing a file.

What's New in FileWatcher v2.5.3  - May 6, 2008
==============================================

* New debug message to show when files have not completely written to disk.

What's New in FileWatcher v2.5.2  - April 21, 2008
=================================================

* New Help File with many examples, and improved GUI.

What's New in FileWatcher v2.5.1  - March 7, 2008
================================================

* /HIDDEN now hides to the icon area, and /MINIMIZE just minimizes.

What's New in FileWatcher v2.5  - February 15, 2008
==================================================

* Now minimizes to task bar.

What's New in FileWatcher v2.4  - November 19, 2007
===================================================

* Added the ability to watch updated and deleted files as well.

What's New in FileWatcher v2.3  - November 16, 2007
===================================================

* Now checks if a file can be opened before allowing it to be processed. This
eliminates the possibility of it being processed before the file has been
fully written to disk.

What's New in FileWatcher v2.2.2  - October 4, 2007
==================================================

* Fixed help file (readme.txt) not being shown from Help menu.

What's New in FileWatcher v2.2.1  - June 21, 2007
================================================

* Each running thread now shows a unique process id.
* If %FILE% is used, only runs a single file at a time even if multiple files
arrive together.
* GUI now detects changes properly.

What's New in FileWatcher v2.2  - June 20, 2007
==============================================

* Can now specify the file types to watch e.g. *.txt.
* Can now specify multiple folders to watch.
* FileWatcher now waits for a file to be completely written before triggering
actions on it.
* Fixed bug with detected filename sometimes having a spurious character
appended to it.

What's New in FileWatcher v2.1.5a
=================================

* Added Manifest XML file for Vista, and fixed HTML Help error on exit.

What's New in FileWatcher v2.1.5
================================

* Removed warning message when multiple copies are run.

What's New in FileWatcher v2.1.4
================================

* Fixed help file location to readme.txt

What's New in FileWatcher v2.1.3
================================

* Help file was not opening - bug fixed.

What's New in FileWatcher v2.1.2
================================

* Now includes help file, and /F= and /G command line options.

What's New in FileWatcher v2.1.1
================================

* Now checks if watched folder exists before starting.
* Program name and command line are now in tw - separate fields.

What's New in FileWatcher v2.1
==============================

* Initial release!

See http://www.datamystic.com for more details on FileWatcher


How can I use FileWatcher?

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
File Menu
Options Menu
Help Menu
Folders to Watch tab
Actions Tab
Notes Tab
Live Log Tab
Command Line Parameters

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher continuously monitors a set of folders for any new files. When new files arrive, File Watcher then triggers a custom action, such as running a program with the new files. This can be used to:

  • Process incoming FTP files

  • Automatically distil PDF files

  • Process email attachments when they are saved to disk

  • Load new files into a database

  • Quickly and easily trigger business processes when files are created

  • and much more.

See also

Features
 New features in this release


Installation

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
System requirements
Unattended install
Distribution Files

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher is simple to install - just double-click filewatcher.exe that you downloaded.

The installation program creates uninstall entries under Control Panel:Add/Remove Programs. These allow File Watcher to be cleanly removed from your system.

Uninstall

Uninstallation is completely automatic.

To uninstall File Watcher, click the Start Menu, Settings, Control Panel, Add/Remove Programs. Select File Watcher from the list presented, and click Add/Remove. File Watcher will then be deleted.

The uninstall does not remove files modified or added by you, so any changes you have made to files will NOT be lost.


Online Web Purchase

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

The commercial version of File Watcher can be purchased and received immediately on the Internet, eliminating shipping and handling costs.

Direct Purchase URL: https://www.datamystic.com/buy/filewatcher.html

See also

Purchase Information
 Order Form
License Information


DATAMYSTIC ORDER FORM
Prices current as at January 24, 2014

All our products come with (unless stated below)
* One Year of FREE upgrades
* 30 days FREE Phone support
* Bonus additional software
* Unlimited Access to Technical Support web site and product FAQs
* Unlimited Access to Discussion Forums.

Note: For upgrades, please login to the secure area for upgrade quotes and pro-forma invoices.
INTERNET ORDERS
Please go to

    http://www.datamystic.com/buy

to pay by credit card using the Internet.
UPGRADES
One year of FREE upgrades is included with each product. The upgrade price varies for each product – please see our website for upgrade price details:

    http://www.datamystic.com/buy
PHONE  ORDERS
You can order by credit card over the phone if you do not have Internet access.

       USA Office: +1 952 646-5022
       USA and Canadian customers: call +1 800 406 4966
       German Office: +49 221 31088-30

Please have the Product Id (see the Product list below) and your credit card ready.
FAX/MAIL ORDERS
You can order by fax or postal mail if you do not have Internet access. Please use the order form below for:

* Purchase orders (commercial, government, educational etc)
* Fax orders
* Postal mail orders
* Cash payments
* Check payments
* All other non-internet orders

1. Please download the latest version (*) of this form from

    http://www.datamystic.com/order.pdf

    (*) Prices may not be honored if you do not use the latest version

2. Print out and complete this form

3. Fax or mail it to:

USA Office	German Office

ShareIt! Inc.	ShareIt!
9625 W 76th St	element 5 AG
Eden Prairie	Vogelsanger Str. 78
MN 55344	50823 Köln/Cologne
U.S.A.	Germany

Tel. +1 952 646-5022 or +1 800 406 4966	Tel: +49-221-31088-30
Fax. +1 952 646-4552	Fax: +49-221-31088-29
CUSTOMER DETAILS

 First Name: _________________________________________________

  Last Name: _________________________________________________

     E-mail: _________________________________________________

     ** Please do not forget to include your e-mail address **
        *** We will use e-mail to communicate with you. ***

    Company: _________________________________________________

    Address: _________________________________________________

             _________________________________________________

             _________________________________________________

             City: ___________________________________________

             State: __________________________________________

             Postal code: ____________________________________

             Country: ________________________________________

      Phone: _________________________________________________

        Fax: _________________________________________________

PAYMENT
How would you like to pay the registration fee? (Please tick one)

       [   ] Credit card (please fill out the details below)
       [   ] Wire transfer
       [   ] EuroCheque
       [   ] Cash
       [   ] US Check drawn on a US bank
       -- for Australian customers only – GST will be charged --
       [   ] Australian dollar cheque
       [   ] EFT

Credit card information (if applicable)
       [   ] Visa
       [   ] Eurocard/Mastercard
       [   ] American Express
       [   ] Diners Club
          [   ] Other: _________________________

Card Holder: ______________________________________________

Card Number: ____________________________ Expiry Date (mm/yyyy): ___/_____

Date / Signature: _________________________________________

PRODUCTS
Please note: All prices are in USD. If you wish to order in Euros or another currency, please indicate this when you order and will perform the appropriate conversion.

Please see our web site for pricing bundles, volume licensing and other licensing options:
  http://www.datamystic.com/buy

SKU
DESCRIPTION AND PRICE
TextPipe Pro (fix text fast in web sites, database extracts and e-text of unlimited size!)

Note: More features than Standard version. Please ensure you are evaluating the Pro version before ordering
131686
131822
136051
136050
136049
  1  Single User Licenses    @   $395: $______
__ x Server License          @   $699: $______
__ x Site License/200 User   @  $4990: $______
__ x Edu Site/200 User       @  $3990: $______
__ x Enterprise License      @  $7990: $______
TextPipe Standard

Note: Less features than Pro version. Please ensure you are evaluating the Standard version before ordering
137374
__ x Single User License     @   $199: $______
TextPipe Lite

Note: Less features than Standard and Pro versions. Please ensure you are evaluating the Lite version before ordering
157097
__ x Single User License     @  $49.95: $______
TextPipe Pro Run Time

Note: (the run time, read-only version of TextPipe Pro – filters CANNOT be modified by clients)
147437

__ x Single User License     @   $199: $______
ResumePipe Unlimited Resume Model
137750
__ x Single User License     @   $499: $______
DataPipe (interactive search and replace in databases)
138135
__ x Single User License     @   $495: $_____
WordPipe Unlimited Document Model
138134
138332
300041894
__ x Single User License     @    $499: $______
__ x Lite Single User        @     $99: $______
__ x Floating License        @     $1299: $______
ExcelPipe Unlimited Spreadsheets Model
186919
186921
__ x Single User Licenses    @   $499: $______
__ x Lite Single User        @ $49.99: $______
PowerPointPipe Unlimited Presentations Model
220500
300071460
__ x Single User Licenses    @   $499: $______
__ x Lite Single User        @ $49.99: $______
TextPipe Engine Programmers DLL
132910

__ x per Application it is used in
     Royalty Free            @   $500: $______
AbusePipe spam complaint analyzer
188875
__ x Single User License     @   $595: $______
KeyboardLocker
205713
__ x Single User Licenses    @ $9.99: $______
EasyPattern Engine Programmers DLL
211244

__ x per Application it is used in
     Royalty Free            @   $199: $______
HookKeys Programmers DLL
TBA
__ x per Application it is used in
                             @   EMAIL: $______
DetachPipe (save, detach and delete email attachments)
146668
138333
__ x Single User Licenses    @ $29.95: $______
__ x Lite License            @ $19.95: $______
EmailPipe (converts emails to text files)
198245
__ x Single User License     @   $399: $______
Time Zone Helper (show international working time overlap)
162196
__ x Single User License     @ $19.95: $______
DirSize disk space monitor
132558
140086
140426
1-4  Single User Licenses    @    $40: $______
__ x Server License          @   $349: $______
__ x Site License            @  EMAIL: $______
DirDate
132564
1-4  Single User Licenses    @    $20: $______
Arc Menu (formerly Launch)
132561
157148
1-4  Single User Licenses    @    $20: $______
__ x Enterprise License      @  EMAIL: $______
ZeroIn
100503
1-4  Single User Licenses    @    $20: $_____

Coupon Code (if any): _____________

Optional Extras
SKU
DESCRIPTION AND PRICE
190386
179661
216285
__ x Premium Support Hours    @   $100/hr: $______
__ x Backup CD        @ $19.99: $______
__ x 2 Years Extended Download Service @ 9.99 per order: $_______

                                     ===================
                                     Total: USD
                                     ===================

Order Form - January 24, 2014	www.DataMystic.com 	Page 1


Purchase Information

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher is developed as a commercial product, and you may evaluate it for a period of 30 days. You must purchase File Watcher if you use it beyond the evaluation period or if you use any of the output that it generates during the evaluation period. Use of File Watcher after the evaluation period is illegal and violates international copyright laws.

Benefits of Purchasing File Watcher

By purchasing File Watcher you will obtain the following benefits:

  • the latest version of File Watcher
  • access to technical support
  • access to upgrades and bug fixes
  • preferential upgrade pricing
  • notification of future updates
  • you will not be breaking the law
  • you will have a clear conscience
  • you will ensure continued development of this product, making File Watcher an even better product in the future

Purchasing

There are two ways to purchase File Watcher:

  • The easiest, quickest and most convenient way is to visit the File Watcher home page on the Internet at https://www.datamystic.com and use the online purchase facility. This facility is for credit card payment only.
  • Mail or email the order form to DataMystic. The mailing address is contained in the form. The order form is contained in the help file and in ORDER.TXT

See also

Online Web Purchase
Order Form
 License Information


Other documentation

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Consulting Services
Contact Information
Corporate Modifications
Other DataMystic Products
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Contact Information
 Other DataMystic Products
 Shareware Vendor Information
 Distribution Files
 License Information
 Corporate Modifications


Contact Us

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

For technical support, please see the support page.

For sales, please contact our sales department directly:

Envelope sales2@datamystic.com

For all other enquiries, please write to our general address:

support2@datamystic.com

Phone/Fax

Phone - phonen1.gif (1029 bytes) +61-3 9913-0595 (9am-5pm Australian Eastern Standard Time - please see below). Within Australia please call (03) 9913-0595

Time Zones (GMT+10)

Here you can check if you are calling us in Australian business hours (9am - 5pm Monday to Friday)

Mail

DataMystic
5 Bond St
Mt Waverley
Victoria 3149
AUSTRALIA

Feedback and Comments

We're always open to feedback and comments! Please use our suggestion box to let us know if there is a feature you would like to see in future versions. We also welcome any reports of bugs or incompatibilities, inconsistencies, spelling mistakes, grammatical errors, broken links etc.

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Copyright © 1999-2020 DataMystic. All rights reserved.


Other DataMystic Products

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

DataMystic develops system utilities for power users, administrators and programmers. It has developed 14 software titles since 1990:

More information about TextPipe TextPipe | Automated search and replace and text processing tool
More information about DetachPipe DetachPipe | Save, detach and delete email attachments from Outlook, Lotus Notes, Applix or MAPI-compliant email systems
More information about WordPipe WordPipe | Perform multiple search/replaces in multiple Microsoft-Word documents
More information about ExcelPipe ExcelPipe | Perform multiple search/replaces in multiple Microsoft-Excel spreadsheets
More information about PowerPointPipe PowerPointPipe | Perform multiple search/replaces in multiple Microsoft-PowerPoint presentations
More information about DataPipe DataPipe | Uses TextPipe Pro to modify database records live in your databases
More information about File Watcher File Watcher | Triggers an action when new files arrive in a folder
More information about Time Zone Helper Time Zone Helper | Displays the working time overlap for people in different time zones
More information about AbusePipe AbusePipe | Detect IP address of Spam offenders from email complaints
More information about EmailPipe EmailPipe | Convert emails to numbered text files
More information about DirSize DirSize | Windows 95 command line utility to accurately show used and wasted disk space, sorted by total size, depth, wastage etc
More information about ResumePipe ResumePipe | Extract emails and their attachments from Outlook, Lotus Notes, Applix or MAPI-compliant email systems to sequentially numbered files, and post-process using TextPipe Pro
More information about ZeroIn ZeroIn | Fast CD replacement with spelling correction, history, aliases and long filename support
More information about Arc Arc Menu | Text-based, mouse-driven windowed menu system with many advanced capabilities
More information about DirDate DirDate | Unique ability to change the date on folders
More information about BabyShield BabyShield | Temporarily disables the mouse AND keyboard while your pet or child taps on the keyboard
More information about ClipSize ClipSize | Displays memory occupied by the clipboard and allows it to be cleared easily
More information about Clean 'n' Go Clean 'n' Go | Temporarily disables the mouse, keyboard or screen while they are cleaned.
More information about LFNit! LFNit! | Restores Windows 95 long filenames. Designed to allow continued use of old 16 bit applications (eg XTree, tape backup software, LapLink, PkZip etc) without losing long filenames

Contact Information

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2020 DataMystic. All rights reserved.


Vendor Information

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

If you are a

  • Shareware distributor
  • Disk vendor
  • Web site
  • CDROM publisher
  • Magazine
  • or any other organization or person

you may distribute the Evaluation Editions (*) of all DataMystic programs provided the following conditions are met:

  1. You must inform the buyer that they are paying for your service, not for the programs, and that the programs must be purchased if they wish to continue using them after the evaluation period.
  2. You must include all original files included with the program, and you must not modify these files in any way. If required, you may add new files of your own.
  3. You must let us know by email if you include our software in your collection. We can then keep you informed of the latest version.

(*) All programs use the Help\About dialog or the -? Command line parameter to identify that they are an Evaluation Edition.

Contact Information

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online)
Copyright © 1999-2020 DataMystic. All rights reserved.


Distribution Files

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

The File Watcher archive consists of the following files:

FILEWATCHER.EXE | The File Watcher program
*.FWX | Useful File Watcher settings for common tasks
ORDER.TXT | Order form
README.TXT | Readme file
FileWatcher.HLP | Help file for 32-bit version
VENDOR.TXT | Vendor information
CORPORAT.TXT | Information about Corporate versions
LICENSE.TXT | User license information
PRODUCTS.TXT | Information about other DataMystic products
WHATSNEW.TXT | What's new in this version of File Watcher

If any of these files are missing from your copy of File Watcher then you can obtain a complete version from the DataMystic Home Page on the Internet.


This program and the accompanying files and documentation are

Copyright (c) 1990- 2024 DataMystic Pty Ltd
All rights reserved

This file contains our end user license.  It also explains the terms of the Commercial License where they're different from the Evaluation
License.

Plain English License Agreement and Limited Warranty

1. SUMMARY.  You may install this SOFTWARE on as many computers as your license allows, and no more:

You may access the software through a network, provided that you have obtained individual licenses covering all computers that
will run the software from the network. For instance, if six different workstations will access the software on the network, you will
need a six-user license, whether they use the software at different times or concurrently.

* Lite License/Home License/Personal Edition
May be used by one person in a home environment. CANNOT be used in government, business or any organization. If you have
both a Desktop and Laptop computer, you may install ONE (1) copy on each computer provided there is no chance of both being
used at the same time.

* Single User License/Desktop Edition/Single User Pack/Subscription
May either be used by a single person who uses the software himself on one or more non-server class computers, or installed on a
single non-server class computer and used by multiple people, but not both. If you have both a Desktop and Laptop computer, you
may install ONE (1) copy on each computer provided there is no chance of both being used at the same time. CANNOT be used
under Windows Terminal Services /  Remote Desktop Connection unless locked down to one user only.

* Portable License
A portable license does not get 'installed' � it is intended to be stored on a USB key and used by one person only as they move
from computer to computer. It may ONLY be run from a single USB key, and not installed or a copy left on any computer.

* Floating License
A floating license can be shared between multiple users. CAN be used under Windows Terminal Services /  Remote Desktop
Connection.

* Server License
May be installed on ONE (1) server class computer ONLY. If you have both Production and Development servers, you may install
ONE (1) copy one each server. CANNOT be used with Windows Terminal Services / Remote Desktop Connection.

* SharePoint Server License
May be installed on ONE (1) SharePoint Server ONLY, or used on a Workstation to connect to a SharePoint Server. If you have
both Production and Development servers, you may install ONE (1) copy one each server. CANNOT be used with Windows
Terminal Services / Remote Desktop Connection.

* Site License/Educational Site License
May be installed on UP TO 200 computers of server class or non-server class at one site ONLY

* Enterprise License/Company Edition/University Edition
May be installed on UP TO 2000 computers of server class or non-server class  directly owned by a Company or University ONLY
(but not on client's computers)

This is a legal agreement between you and DATAMYSTIC.  By using the SOFTWARE you are agreeing to be bound by the terms of this
Agreement.  Do not use the SOFTWARE if you do not agree to the terms of this Agreement.

2. DEFINITIONS.  In this agreement:

* "SOFTWARE" means the computer program you have purchased or obtained for evaluation, including the program, associated
documentation and other materials;

* "Evaluation Copy" means a copy of the SOFTWARE distributed by us or by our authorised agents for evaluation purposes and
which is described as an "Evaluation Edition" or a "Shareware Edition" by the SOFTWARE's "About" screen;

* �Evaluation Period� means a period of time during which the product may be evaluated. The time remaining is indicated by the
product�s main screen.

* "Commercial Copy" means a copy of the SOFTWARE purchased from us or from a dealer, and is NOT described as an
Evaluation Copy by the SOFTWARE's "About" screen.  The actual description may include "Desktop Edition", "Single User Edition",
"Personal Edition", "Server Edition", "Site Edition" or "Company Edition" or other variations depending on the version purchased;

* "you" means the end user of the SOFTWARE.  This can be either an individual or an entity;

* "server class" means a computer designated as a file server, database server, "desktop class" or "non-server class" means a
computer where only one person uses it at a time;

* "DATAMYSTIC" means DataMystic, an Australian corporation (address shown above).

3. GRANT OF LICENSE.  DATAMYSTIC grants you the right to INSTALL this SOFTWARE on as many computers as you have purchased a
license for.  You may NOT install it on computers that you do not have a license for.

If a computer is replaced you may transfer the software to the new computer, provided that you do not breach the number of licenses you
have purchased. You may not repeatedly uninstall and then reinstall on another computer to avoid purchasing more licenses.

The SOFTWARE is "installed" on the computer when it is loaded into permanent memory (e.g. hard disk, CD-ROM, or other storage device)
of the computer.

4. COPYRIGHT.  The SOFTWARE is owned by DATAMYSTIC and is protected by copyright laws and international treaty provisions and all
other applicable national laws.  Therefore, you must treat the SOFTWARE like any other copyrighted material (e.g. a book or musical
recording) except that you may make one copy of the SOFTWARE solely for backup or archival purposes.  You may not copy the user
documentation provided with the SOFTWARE.

5. OTHER RESTRICTIONS.  You may not rent, lease, sell, or attempt to rent, lease or sell the SOFTWARE. You may transfer the
SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms
of this Agreement.

You must not copy, translate, adapt, modify, alter, decompile, disassemble, or otherwise reverse engineer or create any derivative work of the
SOFTWARE, merge the SOFTWARE or any part thereof with any other software or change any SOFTWARE in whole or in part, nor allow
any other party to do so.  You must not alter or remove any copyright or other intellectual property notifications applied to the SOFTWARE.

You acknowledge that the SOFTWARE and the copyright, and other intellectual property rights of whatever nature in the SOFTWARE are not
your property and contain valuable proprietary information and trade secrets and that this license confers no title or ownership in the
SOFTWARE and no rights in any associated source code, and is not a sale of any rights in the SOFTWARE.

6. EVALUATION PERIOD.  You may use an Evaluation Copy of the SOFTWARE for up to the Evaluation Period in order to determine
whether it meets your needs.  While you are evaluating the SOFTWARE, you may use it on as many computers as are required to perform
your evaluation.  Your evaluation period begins when you first install the SOFTWARE on one or more computers for evaluation purposes.
Once the evaluation period is over you MUST PURCHASE THE SOFTWARE or REMOVE IT FROM ALL COMPUTERS. If you use the
SOFTWARE for non-evaluation purposes DURING your evaluation you MUST PURCHASE THE SOFTWARE.

7. MAKING AND DISTRIBUTING EVALUATION COPIES OF THE SOFTWARE.  You may make copies of your Evaluation Copy of the
SOFTWARE to give to others, as long as you include all of the files that you originally received with your Evaluation Copy.  When you give an
Evaluation Copy of the SOFTWARE to another person, you agree to inform them that their copy is to be used for a time-limited evaluation
period, and that they must purchase a Commercial Copy if they continue to use the SOFTWARE once the evaluation period has ended.  You
agree not to sell Evaluation Copies of the SOFTWARE or distribute them to others for any kind of compensation or fee unless the fee solely
covers your costs in providing it to the end user.

8. OPERATION OF THE SOFTWARE.  The SOFTWARE offers powerful capabilities.  If you do not follow our instructions, or if you use the
SOFTWARE improperly, you can destroy files or cause other damage to your software and data.  You assume full responsibility for the
selection and use of the SOFTWARE to achieve your intended results.

9. LIMITED WARRANTY.  The following limited warranty applies to Commercial Copies of the SOFTWARE.  DATAMYSTIC warrants that for
a period of ninety (90) days from the date of receipt of the SOFTWARE that (i) the SOFTWARE will perform in substantial conformance with
the related documentation supplied with the SOFTWARE; and (ii) the media on which the SOFTWARE is distributed is free from defects in
materials and workmanship.  If the SOFTWARE does not conform to these limited warranties DATAMYSTIC will, at its option, either refund
the amount you paid for the SOFTWARE or provide you with the corrected item at no charge provided that the defective item is returned to
DATAMYSTIC within ninety (90) days from the date of your receipt of the SOFTWARE.  Any replacement SOFTWARE will be warranted for
the remainder of the original ninety (90) day warranty period or thirty (30) days from the date you receive the replacement, whichever is
longer.  Any misuse, accident or unauthorized modification of the SOFTWARE will void these limited warranties.  This warranty does NOT
apply to Evaluation Copies of the SOFTWARE.

We warrant that the SOFTWARE shall not infringe upon any copyright, patent, trade secret, or other intellectual property or proprietary right,
or misappropriate any trade secret of any third party.

10. INDEMNITY. DATAMYSTIC shall defend, at its expense, and pay the cost and damages incurred or awarded as a result of any action
brought against you based on an allegation that the SOFTWARE infringes any third party Intellectual Property Rights provided: you promptly
notify DATAMYSTIC in writing of any such action or allegation of infringement; DATAMYSTIC has complete control of the defense of any
such action and all negotiations for its settlement or compromise; , however, no such claim or action shall be settled or compromised without
your express written consent; and, you at no time admit liability or otherwise settle or compromise or attempt to settle or compromise the
claim or action except under the express instructions of DATAMYSTIC.

In addition to DATAMYSTIC�s obligations under the above paragraph, if, in DATAMYSTIC�S opinion, the SOFTWARE is likely to become the
subject of a claim of any infringement, DATAMYSTIC shall, at its sole option and expense: (a) procure for you the right to continue using the
SOFTWARE; (b) replace or modify the SOFTWARE so that it becomes non-infringing; or, at DATAMYSTIC�S sole discretion, if (a) and (b) are
not feasible, DATAMYSTIC shall accept the return of such infringing SOFTWARE and reimburse you for the purchase price of such infringing
SOFTWARE.

11. DISCLAIMERS AND LIMITATIONS.  And now the legal language we couldn't avoid:

DISCLAIMER FOR EVALUATION COPIES: YOU ARE NOT PAYING FOR THE TRIAL USE LICENSE FOR YOUR EVALUATION COPY OF
THE SOFTWARE.  ACCORDINGLY THE EVALUATION COPY IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND.

DISCLAIMER FOR COMMERCIAL COPIES: Except for the limited warranty stated above, we disclaim any and all other warranties, express
or implied, oral or written, including any implied warranties of merchantability or fitness for a particular purpose.  The limited warranty above
gives you specific legal rights, but you may have other rights, depending on where you purchased the SOFTWARE.

LIMITATION OF LIABILITY.  IN NO EVENT SHALL EITHER PARTY BE LIABLE FOR ANY INCIDENTAL, CONSEQUENTIAL, OR PUNITIVE
DAMAGES WHATSOEVER ARISING OUT OF USE OF THE SOFTWARE OR ONE PARTY�S RELATIONSHIP WITH THE OTHER PARTY.
SOME COUNTRIES OR STATES DO NOT ALLOW EXCLUSION OR LIMITATION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL
DAMAGES, THEREFORE THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

12. This agreement is a perpetual agreement. The effective date commences on your first use of either the Evaluation or Commercial
SOFTWARE. The agreement terminates when all Evaluation and Commercial SOFTWARE copies are removed from all of your systems.

13. This agreement is to be interpreted under the laws of the state of Victoria, Australia.

END OF LICENSE AGREEMENT

DataMystic Pty Ltd EULA	www.datamystic.com 	Page 1 of 1


Corporate Modifications

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

Corporate and business users are welcome to approach DataMystic for modifications specific to their needs. We can easily incorporate any changes you desire. Please send us specifications and we will send you a quote. Please also include details such as a contact name, phone and/or address, plus any other details you think are relevant.

Contact Information

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2020 DataMystic. All rights reserved.


File Menu

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Open

Opens settings from a saved File Watcher settings file (.FWX). You can double-click .FWX files in Windows Explorer to open File Watcher with them.

Recent

Opens settings from a list of recently used files.

Save

Saves the current settings to a File Watcher settings file.

Save As

Saves the current settings to a File Watcher settings file with a new name.

Sent To

Sends the current settings to DataMystic support for assistance.

Exit

Closes File Watcher.


Options Menu

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Change language

This menu item allows you to change the display language used by File Watcher. To translate File Watcher into your language, or to find what translations are available, please visit https://www.datamystic.com/languages.html


Help Menu

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up
Sample Scripts
VB Scripts
Sample Scenarios
Check for updates

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Contents

Displays the contents page of the File Watcher online help.

Index

Displays the index page of the File Watcher online help.

Buy File Watcher Now

Opens your web browser at https://www.datamystic.com/buy/filewatcher.html to purchase File Watcher.

Order form

Opens a text-based order form to order File Watcher.

File Watcher Home Page

Opens your web browser at https://www.datamystic.com/filewatcher.html

DataMystic Home Page

Opens your web browser at https://www.datamystic.com

Check web for File Watcher updates

Uses the internet to find out if a new version of File Watcher is available. If so, you can choose to go to the DataMystic web site to download the update.

Subscribe to File Watcher update list

Join the File Watcher email list to receive notification of program updates and new releases. To join, send an email to

filewatcher-subscribe@yahoogroups.com

or go the following web page.

Technical support

Opens your web browser at https://www.datamystic.com/support.html

About

Displays File Watcher's About window.


Folders to Watch tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

On the Folders to Watch tab you specify which locations, file types and events to monitor.

Folder(s) to watch

This box holds a list of the folders you want to watch. To add a new folder, type its name (one per line), or use Browse button to add a new folder to the list.

The Test button lists all files matching the File Types to Watch in the Live Log tab.

Network locations

Some network locations will NOT support the commands that File Watcher needs in order to monitor files. If you find that no events ever occur, check the Network or FTP Location -Use Polling check box. File Watcher will take a snapshot of files and re-check every minute.

FTP locations

You can watch an FTP location simply by placing the ftp url into the Folder to Watch list:

ftp://ftp.datamystic.com/bigftp/

or with a username and password

ftp://username:password@ftp.datamystic.com/bigftp/

File Watcher detects FTP urls from the leading ftp:// path, and automatically turns on polling to monitor these files. Processing of subfolders is not supported.

Watch subfolders

When checked, FileWatcher will also watch all subfolders of any folder that you specify. Subfolders are not supported for FTP locations

Process any existing files on Start

When FileWatcher starts watching, it can process any matching files in the list of folders that might have arrived while FileWatcher was not active. This is useful to handle restarts.

Network or FTP Location -Use Polling

If you monitor a Network or FTP location, File Watcher may not be able to detect any changes. This is because the network connector does not fully implement the file event functions (API) required by FileWatcher.

To work around this lack of events, check this box. File Watcher will re-examine the target folder every 60 seconds (customizable) to look for changes. Note that you should not specify a folder tree with a huge number of files (e.g. more than 1000), as this is very inefficient to process.

Seconds between polls

The number of seconds between polling attempts, default 60 seconds.

File types to watch (*.* for all)

This box specifies which files to watch. By default all files (*.*) are watched. You can watch multiple file types by separating each with semi-colons e.g. *.txt;*.html;*.xml

Seconds to wait after a new files arrives

This settings allows files that arrive together to be grouped. To process each file individually, type 0.

Note that this setting has NOTHING to do with waiting for large files to be completely written – FileWatcher handles this automatically (see Wait For Exclusive File Access above). The intention of this setting is to allow multiple files to be processed together.

Actions to Watch

You can trigger actions based on a number of events

- New files arriving (once the file has been completely written to disk)

- Files being updates (again, once the file has been completely written to disk)

- File deletions

- File accsss (open) - note that you need to check File last access enabled in the ribbon for this to work

- Ignore folders – check this box to ignore any changes made to folders. Generally you only need to process files, not folders.

Note – if you want to see file deletions, then you must uncheck New Files and File Updates, because otherwise the file deletions are reconciled against the New/Updated file list in order to eliminate files to be processed that actually no longer exist.


Action tab

Actions Tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

On the Action tab you specify what you want to happen when a file event occurs (a new file, update or delete).

Yes, you can have a different set of actions for different folders by running separate copies of FileWatcher. You can also perform different actions depending on the source folder by using a script.

External Command (exe, bat, vbs, js etc)

Here is where you specify the command to be run when the file(s) arrive.

This MUST be a .EXE, .COM or .BAT, .JS, .VBS filename or any other filename understood by Windows to be an executable filename. See the examples.

Test button

The test button allows you to check that your process is working. After clicking [Test], a new browse window is shown from which you can choose one or more files to 'arrive'. After clicking Ok, File Watcher will simulate the arrival of these new files in the Live Log.

Parameters

These are the parameters to send to the command. Ensure any filenames you specify that might contain spaces are double-quoted. See the Appendix for examples. A right-click context menu allows you to insert these values.

%FILE% | Inserts the full filename (and path), double-quotes must be entered by the user | e.g. c:\new_files\file0001.txt
%FILEPATH% | Inserts just the file path with a trailing slash, double-quotes must be entered by the user | e.g. c:\new_files\
%FILENAME% | Inserts just the filename (no path), double-quotes must be entered by the user | e.g. file0001.txt
%NAME% | Inserts just the name (no path or extension), double-quotes must be entered by the user | e.g. file0001
%EXT% | Inserts just the file extension, with a leading period | e.g. .txt
any | Any environment variable can also be inserted | e.g. USERNAME, ProgramData, PUBLIC, TEMP, COMPUTERNAME etc

If you need the filename both with and without the path, you could specify your parameters like this:

…my_batch_file.bat "%FILE%" "%NAME%"

And then within my_batch_file.bat, these will be available as %1 and %2 respectively.


Notes Tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

The Notes Tab is used for recording any notes you wish about pre-requisites, assumptions, versions, dates etc.


Live Log Tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

On the Live Log tab you can watch as File Watcher detects files and triggers actions.

Log to file

If specified, File Watcher will also log data to the specified log file (appending to the existing contents).

Live Log

Once File Watcher is started, the Live Log shows you files arriving and the actions that File Watcher is taking for each. The Live Log is limited to showing the 1000 most recent lines.


Command Line Parameters

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up
Running as a Service
Running on Reboot

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher can be run from a DOS shell or from a shortcut with parameters to make it run automatically. This is very useful for automation and scheduling (by making the short cut an entry in the Start Up folder), and for running File Watcher from a batch file. Here is a complete example:

filewatcher.exe [/minimized /hidden ]"/f=settings.fwx" [/g]

Note:

  1. Any commands with embedded spaces must be surrounded with double quotes. You must surround the entire command/setting combination e.g. "/f=c:\Program Files\File Watcher\settings.fwx" NOT /f="c:\Program Files\File Watcher\settings.fwx"
  2. Windows limits the command line length to about 260 characters. You can overcome this limitation by using the /Z=<filename> command to load command line parameters stored in a file. Note that you MUST remove any double quotes from around commands with embedded spaces when you put them in the command file.

Conventions used below:

<> surrounds text that is to be entered. Do NOT enter the '<' and '>' characters

Alternatives are shown in square brackets '[' and ']' with a pipe '|' character between them. Do NOT enter the square brackets or the pipe character - just type the single alternative you require.

Usage:

"C:\Program files\File Watcher\filewatcher.exe" [/MINIMIZED /HIDDEN] ["/F=settings.fwx"] [/G]

Where [commands] is zero or more of:

/F=<.fwx filename> | Opens a File Watcher settings file.
/G | Go. Begin watching immediately. Very useful in conjunction with a Short Cut in the Window Start Up group.
/MINIMIZED | Minimizes the application window.
/HIDDEN | Hides FileWatcher to just an icon in the task area.

Examples

1. Start File Watcher watching immediately, with the default settings, and reduce it to the task area:

filewatcher.exe /hidden /g

2. Start File Watcher watching immediately, with saved settings, and minimize it:

filewatcher.exe "/f=c:\my_settings.fwx" /minimize /g


Running as a Service

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher does not yet run as a service, but it can be run in the background using the /minimized or /hidden command line options.

To run FileWatcher as a service and keep it running even after system restarts or possible server crashes, we recommend FireDaemon.

Here is a how-to guide for connecting FireDaemon and File Watcher:

https://forums.firedaemon.com/768-file-folder-watcher-firedaemon-service.html


Running on Reboot

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Running File Watcher on Reboot

To run File Watcher on reboot, just copy the FileWatcher shortcut to the Programs\Start Up folder, and customize the start-up parameters. You can also copy in the Programs\Start Up folder a .bat file, with the start-up parameters

"C:\Program Files\DataMystic\Filewatcher\filewatcher.exe" /hidden /g


Sample Scenarios

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

The following scenarios explain how to use FileWatcher's settings to achieve the results you need. We use the following Example Events in each case:

Time | Event
10:00:00 | File A.doc arrives
10:01:00 | File B.doc arrives
10:02:00 | File C.doc arrives

Scenario 1 � Each file processed as it arrives

Command: echo.bat

Parameters: %FILE%

How To Run: Run the command once for each file

Seconds to wait after a new files arrives: 1 second

10:00:00 File A.doc arrives

10:00:01 echo.bat A.doc

10:01:00 File B.doc arrives

10:01:01 echo.bat B.doc

10:02:00 File C.doc arrives

10:02:01 echo.bat C.doc

Summary: No waiting- each file is processed as it arrives

Scenario 2 � Files arriving together are processed sequentially

Command: echo.bat

Parameters: %FILE%

How To Run: Run the command once for each file

Seconds to wait after a new files arrives: 70 seconds

10:00:00 File A.doc arrives

10:00:00 �waiting 70 seconds�.

10:01:00 File B.doc arrives

10:01:00 �waiting another 10 seconds�.

10:01:10 echo.bat A.doc

echo.bat B.doc

10:02:00 File C.doc arrives

10:02:00 �waiting 70 seconds�.

10:03:10 echo.bat C.doc

Summary: Files A.doc and B.doc are handled together

Scenario 3 - Files arriving together are processed together

Command: echoparams.bat

Parameters: %FILE%

How To Run: Run the command with a list of files (after waiting for new files to arrive)

Seconds to wait after a new files arrives: 70 seconds

10:00:00 File A.doc arrives

10:00:00 �waiting 70 seconds�.

10:01:00 File B.doc arrives

10:01:00 �waiting another 10 seconds�.

10:01:10 echoparams.bat A.doc B.doc

10:02:00 File C.doc arrives

10:02:00 �waiting 70 seconds�.

10:03:10 echoparams.bat C.doc

Summary: Note how a.doc and b.doc are processed together

Scenario 4 � Files are processed with a list file

Command: echolist.bat

Parameters: %FILE%

How To Run: Run the command with a list file containing the filenames to process

Seconds to wait after a new files arrives: 70 seconds

10:00:00 File A.doc arrives

10:00:00 �waiting 70 seconds�.

10:01:00 File B.doc arrives

10:01:00 �waiting another 10 seconds�.

10:01:10 echolist.bat filelist1.txt

10:02:00 File C.doc arrives

10:02:00 �waiting 70 seconds�.

10:03:10 echolist.bat filelist2.txt

Summary: This is similar to Scenario 3 except that a file is used to hold the list to process. This is particularly useful for large lists of files.


Sample Scripts

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher runs the Action command when a file arrives. The Action command can take a number of forms:

  • Simple DOS batch files (.BAT)
  • .VBS or .JS scripts - written in VBScript or JScript
  • .EXE or other filenames understood by Windows to be an executable filenames

Note: the complete path to the command must be specified.

Batch Files

.BAT files are run via the command interpreter CMD.EXE (formerly COMMAND.COM). Specify the full path to the batch file in the Command field, and the parameters in the Parameters field.

Sample .BAT files are included in the FileWatcher install folder.

To...Copy each file to a new location

Command:

<complete path\>copy.bat
Parameters:
%FILE%

Create a batch file called copy.bat, and copy the text below into it:

@echo off
rem Used with FileWatcher's command line and the %FILE% macro
rem copy each file to a new location
copy "%1" "c:\location1"

Note: to retain the original folder structure, use the DOS xcopy command instead of copy in the batch file.

To...Copy one file to multiple locations

Command:

<complete path\>copy_multiple.bat
Parameters:
%FILE%

Create a batch file called copy_multiple.bat, and copy the text below into it:

@echo
off

rem Used with FileWatcher's command line and the %FILE% macro
rem copy each file to multiple locations
copy "%1" "c:\location1"
copy "%1" "c:\location2"
copy "%1" "c:\location3"
copy "%1" "c:\location4"

To...Show the name of the file being processed

Command:

<complete path\>echo.bat

Parameters:

%FILE%

Create a batch file called echo.bat, and copy the text below into it:

@echo off

echo File %1 has arrived and is ready for processing

pause

To...Log the file being processed

Command:

<complete path\>log.bat

Parameters:

%FILE%

Create a batch file called log.bat, and copy the text below into it:

@echo off

date /t >> "c:\logfile.log"
time /t >> "c:\logfile.log"
echo %1 >> "c:\logfile.log"

To...Show a list of files being processed as one group � all on the one command line

Command:

<complete path\>echoparams.bat

Parameters:

%FILE%

Create a batch file called echoparams.bat, and copy the text below into it:

@echo off
echo Command line parameters
echo Used with FileWatcher's command line and the %FILE% macro
echo %%1 %1
echo %%2 %2
echo %%3 %3
echo %%4 %4
echo %%5 %5
echo %%6 %6
echo %%7 %7
echo %%8 %8
echo %%9 %9

        pause

To...Show a list of files being processed as one group

Command:

<complete path\>echolist.bat

Parameters:

%FILE%

Create a batch file called echolist.bat, and copy the text below into it:

@echo off
echo List file is %1
echo Used with FileWatcher's command line and the %FILE% macro

echo --[Contents]------------------------
type "%1"
echo --[End]------------------------
pause

To...Move each file to a new folder

Command:

<complete path\>move.bat

Parameters:

%FILE%

Create a batch file called move.bat, and copy the text below into it:

@echo
off
rem Used with FileWatcher's command line and the %FILE% macro
rem Move an incoming file
move "%1" "c:\location1"

To...Play a sound when a file arrives

Command:

<complete path\>play_sound.bat

Parameters:

%FILE%

Create a batch file called play_sound.bat, and copy the text below into it:

@echo off
start sound.wav

To...Print each file

Command:

<complete path\>print.bat

Parameters:

%FILE%

Create a batch file called print.bat, and copy the text below into it:

@echo off
rem Used with FileWatcher's command line and the %FILE% macro
echo Printing %1
print %1
echo Complete

To...View (display) each file

Command:

<complete path\>view.bat

Parameters:

%FILE%

Create a batch file called view.bat, and copy the text below into it:

@echo off
rem Used with FileWatcher's command line and the %FILE% macro
echo Viewing %1
start %1
echo Complete

To...Send email with file as attachment

Command:

<complete path\>sendmail.bat

Parameters:

%FILE%

You need to download a command line sendmail program � try https://www.downloadpipe.com/business/review-absoluteTools-SendMail-CMD-Single-computer-license-42668ToolsSendMa-1176122.html

Note: free versions of sendmail.exe on the web often have viruses and other malware.

Create a batch file called sendmail.bat, and copy the text below into it:

@echo off
rem Used with FileWatcher's command line and the %FILE% macro
rem Send mail with this file as the attachment
rem
rem You need to make sure that sendmail.exe is on your system - test this with
rem   sendmail -subject='Test message' yourname@yourdomain.com

sendmail -subject='File arrived %1' -attach='%1' yourname@yourdomain.com

To...Schedule a job if a file arrives

Command:

<complete path\>schedule.bat

Parameters:

%FILE%

Create a batch file called schedule.bat, and copy the text below into it:

@echo off
rem Used with FileWatcher's command line and the %FILE% macro
rem Schedule a process with the file that arrives
rem The Schedule service must be running to use the AT command.

at 1730 /interactive "echo %1"

echo Scheduling Complete

DOS Commands

Note that the Windows �start� command is a feature of CMD.EXE. To make use of it, you need to create a batch file that uses �start�.

To...Send an Email

To send an email from File Watcher, you need to use a command-line email program - we recommend FREE blat.net (syntax). We strongly suggest you do NOT search for a free download of sendmail.exe - these are 99% guaranteed to contain a virus.

Command:

<complete path\>blat.exe

Parameters:

-to test@test.com -from filewatcher@your.domain -subject "%FILE% arrived" -body "Please use it"

Or even send the newly-arrived file to you:

Command:

<complete path\>blat.exe

Parameters:

-to test@test.com -from filewatcher@your.domain -subject "%FILE% arrived" -body "Please use it" -attach %FILE%


System requirements

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

  • Windows 7, Vista, 2003 Server, XP, ME, 98 or 95.
  • Hard Disk with 2 MB free disk space
  • 128 MB RAM

(*) Please see our website for the latest Windows Operating System information.


VB Scripts

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

Windows Script (.VBS or .JS files)

VBScript and Jscript offer a lot of power for custom processing.

Sample .VBS scripts are included in the FileWatcher install folder.

To...Display the filename using VBScript

Command:

<complete path\>wscript.exe

Parameters:

<complete path>\display_filename.vbs %FILE%

Create a batch file called display_filename.vbs, and copy the text below into it:

Option Explicit

dim objArgs

'Set a reference to the arguments
Set objArgs = Wscript.Arguments

'display the first argument
MsgBox objArgs(0), vbOk

To...Send an Email

To send an email from File Watcher, you need to use a command-line email program - we recommend FREE blat.net (syntax). We strongly suggest you do NOT search for a free download of sendmail.exe - these are 99% guaranteed to contain a virus.

Command:

<complete path\>wscript.exe

Parameters:

<complete path>\send_email.vbs %FILE%

Create a batch file called send_email.vbs, and copy the text below into it:

Option Explicit

    dim objArgs
    dim filename
    dim folder

    dim myRegExp
    set myRegExp = New RegExp
    myRegExp.IgnoreCase = False   'no need
    myRegExp.Global = False                             'replace once only
    myRegExp.Pattern = "\\[^\\]*$"               'match everything from the last \ to the end of the string

    dim WshShell

    Function ExecuteWithTerminalOutput(cmd)
                Set WshShell = WScript.CreateObject("WScript.Shell")

                'use this line to hide the window, and wait until the new process finishes
                'useful for debugging
                WshShell.Run cmd, 1, true
                'use this line below when debugging is not needed
    '            WshShell.Run cmd,0

                ExecuteWithTerminalOutput = 0
    End Function

    'Set a reference to the arguments
    Set objArgs = Wscript.Arguments

         for each filename in objArgs
               ExecuteWithTerminalOutput( "c:\program files\blat.exe -to test@test.com -from filewatcher@your.domain -subject "File arrived" -body "Please use it" -attach " + chr(34) + filename + chr(34) )

    next

    Set WshShell = Nothing
    Set myRegExp = Nothing
    Set objArgs = Nothing


Welcome to File Watcher!

File Options Help Screens: Folders to Watch Action Notes Live Log Service Scripts

Subscribe
to our newsletter

Home
What is File Watcher?
Features
How can I use FileWatcher?
Installation
Online Web Purchase
Purchase Information
Other documentation

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

File Watcher watches a folder or set of folders for new or updated files. When it finds one, it passes the filename to a script that you designate - to perform whatever action you desire.

For new users

Remember - just press F1 for help at any time, or choose Index or Contents from the Help Menu.

  • What is File Watcher?
  • Sample File Watcher Scripts
  • What can I use File Watcher for?
  • How do I buy File Watcher?
  • Frequently Asked Questions and demonstrations (online)

For previous users

  • What's new in this version?

Questions?

Please login to our online user forums, or submit a support request.

See also

Features
 How can I use File Watcher?


Check for Updates

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

Found in the Help menu, this option lets you check if you have the most up-to-date version. This dialog box is automatically displayed 5 days after the software is first installed.

Unless the Don't ask me again until date is set in the future, the software will check the web for updates every time it is started. If Windows is setup to automatically dial-out if no Internet connection is detected, then checking for updates may cause the Dial-Up dialog to appear.

Check web for updates now

Selecting this radio button and then clicking on Ok results in an access to the DataMystic web site to determine if your software has been superseded. If your copy is out of date, the software will confirm that you wish to download a new version. If so, it will open a web browser at a download page. If you do not wish to download, it will check again in 30 days time.

Don't ask me again until

Selecting this radio button and then setting a date in the calendar drop-down allows you to set a date after which it will again attempt to check for an update. Set this date well in the future if you don't want it to check for updates.

Initially this date is set to 5 days after the software is installed.

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2020 DataMystic. All rights reserved.


Consulting Services

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

DataMystic offers a range of Professional Services to our clients. Our services include:

  • Adding new features to our existing applications
  • Creating new applications
  • Creating customized, one-off solutions based on our existing applications
  • Consulting services to tailor the processing of TextPipe, WordPipe, DataPipe and our other applications
  • Fixing and converting data files
  • Data mining web-based data
  • Fixing junk data in databases
  • Processing emails.

Typical projects that we have been engaged on include

  • Optimizing TextPipe filters for the greatest speed
  • Extracting data from websites to a database import file, or to an Access database
  • Reformatting corporate data to allow import or further manipulation
  • Removal of binary or garbage data from files
  • Writing VBScript/JScript code to perform custom file manipulations.

For more information, please click here.

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2020 DataMystic. All rights reserved.


Images

Home Buy Online FAQ Tasks: Detach Save Delete Restore Compress Unlink Set of Folders TextPipe Upload
Settings: General Incoming Outgoing Manual Scheduled Detach Placeholders Compacting
Subscribe
to our newsletter

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7 and 8 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online)
Copyright © 1999-2020 DataMystic. All rights reserved.


Unattended Installation

Home Contact Consult Other Products Install Check for Updates Corporate Versions Vendor Information

Subscribe
to our newsletter

Home
Contact
Consult
Other Products
Install
Check for Updates
Corporate Versions
Vendor Information

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7

Support Section

We are here to provide technical support to our customers.

Visit Our Support Section »

For updated information, please see the online version.

We use the InnoSetup installer for the majority of our applications. The installer can be scripted for silent or unattended installation, please see the command line options below:

Note: After purchase, the secure area gives you the option to download a Windows Registry (.reg) file to pre-register your product. To completely automate installations you need to apply this .reg file.

The Setup program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the Setup program.
/UpdateCheck=0 INSTALLER option to disable update checks made by the APPLICATION. Starting with all releases from May 16, 2012, all new releases support this option.
/Updated INSTALLER option to disable update checks made by the installer. Starting with all releases from May 16, 2012, all new releases support this option.
/SP-
Disables the This will install... Do you wish to continue? prompt at the beginning of Setup. Of course, this will have no effect if the DisableStartupPrompt [Setup] section directive was set to yes.
/SILENT, /VERYSILENT
Instructs Setup to be silent or very silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. When a setup is very silent this installation progress window is not displayed. Everything else is normal so for example error messages during installation are displayed and the startup prompt is (if you haven't disabled it with DisableStartupPrompt or the '/SP-' command line option explained above).

If a restart is necessary and the '/NORESTART' command isn't used (see below) and Setup is silent, it will display a Reboot now? message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES
Instructs Setup to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.

The default response in situations where there's a choice is:

  • Yes in a 'Keep newer file?' situation.
  • No in a 'File exists, confirm overwrite.' situation.
  • Abort in Abort/Retry situations.
  • Cancel in Retry/Cancel situations.
  • Yes (=continue) in a DiskSpaceWarning/DirExists/DirDoesntExist/NoUninstallWarning/ExitSetupMessage/ConfirmUninstall situation.
  • Yes (=restart) in a FinishedRestartMessage/UninstalledAndNeedsRestart situation.

5 message boxes are not suppressible:

  • The About Setup message box.
  • The Exit Setup? message box.
  • The FileNotInDir2 message box displayed when Setup requires a new disk to be inserted and the disk was not found.
  • Any (error) message box displayed before Setup (or Uninstall) could read the command line parameters.
  • Any message box displayed by [Code] support function MsgBox.
/LOG
Causes Setup to create a log file in the user's TEMP directory detailing file installation and [Run] actions taken during the installation process. This can be a helpful debugging aid. For example, if you suspect a file isn't being replaced when you believe it should be (or vice versa), the log file will tell you if the file was really skipped, and why.

The log file is created with a unique name based on the current date. (It will not overwrite or append to existing files.)

The information contained in the log file is technical in nature and therefore not intended to be understandable by end users. Nor is it designed to be machine-parseable; the format of the file is subject to change without notice.

/LOG="filename"
Same as /LOG, except it allows you to specify a fixed path/filename to use for the log file. If a file with the specified name already exists it will be overwritten. If the file cannot be created, Setup will abort with an error message.
/NOCANCEL
Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with '/SILENT' or '/VERYSILENT'.
/NORESTART
Instructs Setup not to reboot even if it's necessary.
/RESTARTEXITCODE=exit code
Specifies the custom exit code that Setup is to return when a restart is needed. Useful along with '/NORESTART'. Also see Setup Exit Codes.
/LOADINF="filename"
Instructs Setup to load the settings from the specified file after having checked the command line. This file can be prepared using the '/SAVEINF=' command as explained below.

Don't forget to use quotes if the filename contains spaces.

/SAVEINF="filename"
Instructs Setup to save installation settings to the specified file.

Don't forget to use quotes if the filename contains spaces.

/LANG=language
Specifies the language to use. language specifies the internal name of the language as specified in a [Languages] section entry.

When a valid /LANG parameter is used, the Select Language dialog will be suppressed.

/DIR="x:\dirname"
Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.
/GROUP="folder name"
Overrides the default folder name displayed on the Select Start Menu Folder wizard page. If the [Setup] section directive DisableProgramGroupPage was set to yes, this command line parameter is ignored.
/NOICONS
Instructs Setup to initially check the Don't create a Start Menu folder check box on the Select Start Menu Folder wizard page.
/COMPONENTS="comma separated list of component names"
Overrides the default components settings. Using this command line parameter causes Setup to automatically select a custom type.
/TASKS="comma separated list of task names"
Specifies a list of tasks that should be initially selected or deselected. To deselect a task, prefix its name with a "!" character.

Only the specified tasks (and their children) will be selected; the rest will be deselected. Use the /MERGETASKS parameter instead if you want to keep the default set of tasks and only select/deselect some of them.

Example:
Deselect all tasks, then select the "desktopicon" and "fileassoc" tasks:
/TASKS="desktopicon,fileassoc"
Example:
Deselect all tasks, then select a parent task item, but exclude one of its children:
/TASKS="parent,!parent\child"
/MERGETASKS="comma separated list of task names"
Like the /TASKS parameter, except the specified tasks will be merged with the set of tasks that would have otherwise been selected by default.

If UsePreviousTasks is set to yes, the specified tasks will be selected/deselected after any previous tasks are restored.

Example:
Keep the default set of selected tasks, but additionally select the "desktopicon" and "fileassoc" tasks:
/MERGETASKS="desktopicon,fileassoc"
Example:
Keep the default set of selected tasks, but deselect the "desktopicon" task:
/MERGETASKS="!desktopicon"

Contact Us Support Community (online) FAQ, Tutorials and User Guides (online) Submit feedback on this topic
Copyright © 1999-2020 DataMystic. All rights reserved.


Options Tab

Live Log Tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

On the Options tab you can configure how File Watcher handles events.

Disable new Actions when an Action is already running

When checked, FileWatcher will wait for an existing Action to finish before it triggers a new one. This is very handy for reducing memory and CPU requirements if many files arrive together.

Minimize on Run

When checked, FileWatcher will minimize the new window created by the Action command, if any. Note - the Action command may override the minimize setting itself. This option is used primarily with actions that run a batch file, to prevent the CMD.EXE window showing.

How to Run the Command

Run the command once for each file

Run the command once for each file. %FILE% and %NAME% contain the name of the file being processed.

Run the command with a list of files (after waiting for new files to arrive)

%FILE% and %NAME% contain a list of filenames, each double-quoted. The command gets run once with a big list of files. If your command is a batch file, each file from this list can be referenced as %1, %2, %3 etc.

Run the command with a list file containing the filenames to process

FileWatcher will create a numbered .txt file containing the list of filenames – and %FILE% and %NAME% contain the name of this file, and %PATH% contains its path.

FileWatcher will delete this file when the command finishes.

If No File Arrives

If no file arrives in a given time period, File Watcher can run a special script so that an email can be sent or an alert created to inform you.

Minutes

If no file arrives in this many minutes, then trigger the 'no file' action command.

Then run command (exe, bat, vbs, js etc)

Here is where you specify the command to be run when no files arrive in the specified number of minutes.

This MUST be a .EXE, .COM or .BAT, .JS, .VBS filename or any other filename understood by Windows to be an executable filename. See the examples.

Wait for exclusive file access

Normally you want FileWatcher to wait for a file to be completely written to disk before processing it, especially with large files like images or video – the default is on.

There are several reasons you might need to use this option:

  • Some applications do not close their output files immediately, so FileWatcher can never get an exclusive lock
  • If the files being watched are through a read-only share, then FileWatcher again can't get an exclusive lock
  • Some combinations of Operating System and File System do not return this information correctly, and so File Watcher is never able to obtain an exclusive lock on the file, which normally indicates that it is still open.

In any of these cases simply uncheck this setting.


Service Tab

Live Log Tab

File Options Help Screens: Folders to Watch Action Options Notes Live Log Service Scripts
Home
Up

Compatible with Windows 7 OS
Software runs successfully on Windows 98, 2000, XP, 2003, Vista & Windows 7, 8 and 10 x32/x64

Support Section

We are here to provide technical support to our customers.

Visit Our Support Site >

On the Service tab you can get File Watcher to run as a background service whenever Windows starts. This tab shows the current status of the service- insalled or not, running or not, and the service log file.

Ribbon - Install

Before using the service, you must install it. This requires administrator permission.

On installng the service, a service account (username and password) can be specified for the service to use.

Ribbon - Uninstall

The service can be uninstalled if required.

Ribbon - Start

Starts the service.

Ribbon - Stop

Stops the service.

Service Status Log

Shows the log file from the running service.